ATI Catalyst drivers v4.1

By on January 20, 2004, 3:44 PM
We missed this one yesterday although nothing too new on this new set, Radeon drivers have had a long way already and they have reached a point of maturity where performance improvements are not feasible in current generation of games anymore (which is actually a good thing since you are squeezing every bit of performance out of your card already). In the other hand, ATI promises better compatibility and a list of bug fixes.




User Comments: 4

Got something to say? Post a comment
Krugger said:
about to give them a try, but i doubt any future releases are going to do anything for my older radeon.
SubKamran said:
Catalyst 3.10 and above will not work with Windows Server 2003.
Mr.Guvernment said:
[quote][i]Originally posted by SubKamran [/i]Catalyst 3.10 and above will not work with Windows Server 2003. [/quote] can you be specific?it makes sense - as why would anyone use server 2003 on a desktop system with a radeon card in it :)on the other hand i also have serevr 2003 and will try out the new cats to see what does not work. (i use it as it is faster then XP ) i lvoe 180 day trials.
SubKamran said:
It reads it as Windows XP 64-bit :P And this isn't really a problem since I'm only temporarily putting it in this computer until I buy my RAM and hard drive for the new comp :D
Load all comments...

Add New Comment

TechSpot Members
Login or sign up for free,
it takes about 30 seconds.
You may also...
Get complete access to the TechSpot community. Join thousands of technology enthusiasts that contribute and share knowledge in our forum. Get a private inbox, upload your own photo gallery and more.